#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Download data from Azure
# 
# Material for the hackathon ENSAE / Red Cross / 2015. Connect to an Azure blob storage.

# In[1]:


get_ipython().run_line_magic('matplotlib', 'inline')
import matplotlib.pyplot as plt
plt.style.use('ggplot')


# In[2]:


from jyquickhelper import add_notebook_menu
add_notebook_menu()


# ## Connection to the cluster

# In[3]:


from pyquickhelper.loghelper import get_password
hackathon = {}
hackathon["blob_storage"] = get_password("CRCREDENTIALS", "blobstorage")
hackathon["password"] = get_password("CRCREDENTIALS", "password")


# In[4]:


blobstorage = hackathon["blob_storage"]
blobpassword = hackathon["password"]


# In[5]:


get_ipython().run_line_magic('load_ext', 'pyensae')


# In[6]:


cl, bs = get_ipython().run_line_magic('blob_open', '')
cl, bs


# ## Download data

# In[7]:


get_ipython().run_line_magic('blob_ls', 'croix-rouge')


# In[8]:


get_ipython().run_line_magic('blob_down', 'croix-rouge/data/ITMMASTER.schema.txt ITMMASTER.schema.txt -o')


# ## Close connection

# In[9]:


get_ipython().run_line_magic('blob_close', '')


# In[10]: